package com.seeyon.apps.esign.po.signfield;

public class NormalSignFieldConfig {
    private Boolean autoSign;
    private Integer signFieldStyle;
    private SignFieldPosition signFieldPosition;
    private String assignedSealId; //指定签章id
    private Boolean freeMode = false;
    private Boolean adaptableSignFieldSize;//是否自适应签章大小

    public Boolean getAutoSign() {
        return autoSign;
    }

    public void setAutoSign(Boolean autoSign) {
        this.autoSign = autoSign;
    }

    public Integer getSignFieldStyle() {
        return signFieldStyle;
    }

    public void setSignFieldStyle(Integer signFieldStyle) {
        this.signFieldStyle = signFieldStyle;
    }

    public SignFieldPosition getSignFieldPosition() {
        return signFieldPosition;
    }

    public void setSignFieldPosition(SignFieldPosition signFieldPosition) {
        this.signFieldPosition = signFieldPosition;
    }

    public String getAssignedSealId() {
        return assignedSealId;
    }

    public void setAssignedSealId(String assignedSealId) {
        this.assignedSealId = assignedSealId;
    }

    public Boolean getFreeMode() {
        return freeMode;
    }

    public void setFreeMode(Boolean freeMode) {
        this.freeMode = freeMode;
    }

    public Boolean getAdaptableSignFieldSize() {
        return adaptableSignFieldSize;
    }

    public void setAdaptableSignFieldSize(Boolean adaptableSignFieldSize) {
        this.adaptableSignFieldSize = adaptableSignFieldSize;
    }
}
